Get quota and availability
GET/zones/{zone_id}/speed_api/availabilities
Retrieves quota for all plans, as well as the current zone quota.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Get quota and availability
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/speed_api/availabilities \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"quota": {
"plan": "free",
"quotasPerPlan": {
"value": {
"business": 1,
"enterprise": 1,
"free": 1,
"pro": 1
}
},
"remainingSchedules": 1,
"remainingTests": 30,
"scheduleQuotasPerPlan": {
"value": {
"business": 1,
"enterprise": 1,
"free": 1,
"pro": 1
}
}
},
"regions": [
{
"label": "Iowa, USA",
"value": "us-central1"
}
],
"regionsPerPlan": {
"business": [
{
"label": "Iowa, USA",
"value": "us-central1"
}
],
"enterprise": [
{
"label": "Iowa, USA",
"value": "us-central1"
}
],
"free": [
{
"label": "Iowa, USA",
"value": "us-central1"
}
],
"pro": [
{
"label": "Iowa, USA",
"value": "us-central1"
}
]
}
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"quota": {
"plan": "free",
"quotasPerPlan": {
"value": {
"business": 1,
"enterprise": 1,
"free": 1,
"pro": 1
}
},
"remainingSchedules": 1,
"remainingTests": 30,
"scheduleQuotasPerPlan": {
"value": {
"business": 1,
"enterprise": 1,
"free": 1,
"pro": 1
}
}
},
"regions": [
{
"label": "Iowa, USA",
"value": "us-central1"
}
],
"regionsPerPlan": {
"business": [
{
"label": "Iowa, USA",
"value": "us-central1"
}
],
"enterprise": [
{
"label": "Iowa, USA",
"value": "us-central1"
}
],
"free": [
{
"label": "Iowa, USA",
"value": "us-central1"
}
],
"pro": [
{
"label": "Iowa, USA",
"value": "us-central1"
}
]
}
}
}